ontology

## Enum Types.WINNER

- java.lang.Object
- - java.lang.Enum<Types.WINNER>
  - - ontology.Types.WINNER

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Types.WINNER>
  Enclosing class:
    Types

      public static enum Types.WINNER
      extends java.lang.Enum<Types.WINNER>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_WINNER`
    `PLAYER_DISQ`
    `PLAYER_LOSES`
    `PLAYER_WINS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `key()`
    `static Types.WINNER` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Types.WINNER[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLAYER_DISQ

          public static final Types.WINNER PLAYER_DISQ

    - #### NO_WINNER

          public static final Types.WINNER NO_WINNER

    - #### PLAYER_LOSES

          public static final Types.WINNER PLAYER_LOSES

    - #### PLAYER_WINS

          public static final Types.WINNER PLAYER_WINS

  - ### Method Detail

    - #### values

          public static Types.WINNER[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.WINNER c : Types.WINNER.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.WINNER valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### key

          public int key()